<?
$this->load->view('cpanel/header');
?>


<script>

var xmlhttp;



function GetXmlHttpObject()
{
if (window.XMLHttpRequest)
  {
  // code for IE7+, Firefox, Chrome, Opera, Safari
  return new XMLHttpRequest();
  }
if (window.ActiveXObject)
  {
  // code for IE6, IE5
  return new ActiveXObject("Microsoft.XMLHTTP");
  }
return null;
}




function dopagination(pageNumber)
{
xmlhttp=GetXmlHttpObject();
 if (xmlhttp==null)
  {
  alert ("Browser does not support HTTP Request");
  return;
  }


 document.getElementById("loading").style.display = "block";
 document.getElementById("loading").style.visibility = "visible";

var call_start=document.getElementById("call_start").value;
var call_end=document.getElementById("call_end").value;
var login=document.getElementById("login").value;
var called_number=document.getElementById("called_number").value;
var limit=document.getElementById("limit").value;


if(call_start=="")
call_start = "NULL";

if(call_end=="")
call_end = "NULL";


if(login=="")
login = "NULL";


if(called_number=="")
called_number = "NULL";

var url = "<?=site_url("failed_call/failedCallListPagination")?>";

var myRandom = parseInt(Math.random()*99999999); // cache buster


xmlhttp.onreadystatechange=stateChanged;
xmlhttp.open("GET", url + "/" + escape(pageNumber) + "/"  + escape(limit) + "/" + escape(call_start) + "/" + escape(call_end) + "/" + escape(login) + "/" + escape(called_number) + "/" + myRandom, true);
xmlhttp.send(null);
}




function searchFailedCall()
{

xmlhttp=GetXmlHttpObject();
 if (xmlhttp==null)
  {
  alert ("Browser does not support HTTP Request");
  return;
  }



var call_start=document.getElementById("call_start").value;
var call_end=document.getElementById("call_end").value;
var login=document.getElementById("login").value;
var called_number=document.getElementById("called_number").value;
var limit=document.getElementById("limit").value;
var startoffset=0;


if(call_start=="")
call_start = "NULL";

if(call_end=="")
call_end = "NULL";


if(login=="")
login = "NULL";


if(called_number=="")
called_number = "NULL";

 document.getElementById("loading").style.display = "block";
 document.getElementById("loading").style.visibility = "visible";

var url = "<?=site_url("failed_call/failedCallListPagination")?>";

var myRandom = parseInt(Math.random()*99999999); // cache buster


xmlhttp.onreadystatechange=stateChanged;
xmlhttp.open("GET", url + "/" + escape(startoffset) + "/"  + escape(limit) + "/" + escape(call_start) + "/" + escape(call_end) + "/" + escape(login) + "/" + escape(called_number) + "/" + myRandom, true);
xmlhttp.send(null);



}




function stateChanged()
{
if (xmlhttp.readyState==4)
{
rowID = "pagination";
document.getElementById("loading").style.visibility = "hidden";
document.getElementById(rowID).innerHTML=xmlhttp.responseText;
}
}





</script>






<div id = "loading" style="position:absolute;top:200px;left:530px;width;100px;height:100px; bgcolor:#f2f2f2; border:0px solid #99BBE8;zindex:250;display:none;">
<img src="<?=base_url()?>images/indicator2.gif?>" border="0" />
</div>



<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td id="right">

      <img src="<?=base_url()?>images/s.gif" width="600" height="1" border="0" alt="" />
      <div id="module_info">
                  <span>&nbsp;&nbsp;&raquo;</span> Internal Error Call List  <?=$titleErrorMessage?>   </div>


   <!-- Search Information -->

<fieldset class="search_box" id="advancedSearch" style="margin-bottom:0px;"><legend>Advanced Search</legend>


<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td align="right">From :</td>
    <td align="left"><input type="text" class = "formInputDate" name="call_start" id="call_start" value="<?=$call_start?>" style="width:100px"/></td>

    <td align="right">To :</td>
    <td align="left"><input type="text" class = "formInputDate" name="call_end" id="call_end" value="<?=$call_end?>" style="width:100px"/></td>

    <td align="right">Client :</td>
    <td align="left"><input type="text" class = "formInput" name="login" id="login" value="" style="width:100px"/></td>

    <td align="right">Number :</td>
    <td align="left"><input type="text" class = "formInput" name="called_number" id="called_number" value="" style="width:120px"/></td>


    <td align="right">Records :</td>
    <td align="left">
  <select name="limit" id="limit" class = "selectFrom" style="width:60px" onchange="searchFailedCall();">
	<option value="<?=LIMIT_PERPAGE?>"><?=LIMIT_PERPAGE?></option>
	<option value="<?=LIMIT_PERPAGE*2?>"><?=LIMIT_PERPAGE*2?></option>
	<option value="<?=LIMIT_PERPAGE*3?>"><?=LIMIT_PERPAGE*3?></option>
	<option value="<?=LIMIT_PERPAGE*4?>"><?=LIMIT_PERPAGE*4?></option>
</select>
    </td>

<td align="left">

	<a href="#" onclick="javascript:searchFailedCall();">
	<img src="<?=base_url()?>images/apply.gif" height="22" border="0" />
	</a>

</td>

  </tr>
</table>



</fieldset>

   <!-- End Search Information -->

    </td>
  </tr>

  <tr>
    <td>

<div id = "pagination">


	<?php
	$start = $startoffset * $limit + 1;
	$end = ($startoffset +1 )* $limit ;

	if($total<$start)
	$start = $total;

	if($total<=$end)
	$end = $total;
	?>


<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tableBorder">
  <tr>
    <td class="mainTableTitle">

      <span>&nbsp;&nbsp;&raquo;</span> Inernal Error List Total : <?=$total?> Showing <?=$start?> to <?=$end?>

    </td>
  </tr>


 <tr>
    <td>

 <!-- Failed Call List -->

 <table class="gbTable">

   <tr class="header">
     <td width="2%"><div align="left" style="padding-left:5px;">NR</div></td>
     <td width="8%"><div align="left" style="padding-left:5px;">Client</div></td>
     <td width="15%"><div align="left" style="padding-left:5px;">Number</div></td>
     <td width="25%"><div align="left" style="padding-left:5px;">Call Start</div></td>
     <td width="50%"><div align="left" style="padding-left:5px;">Reason</div></td>
   </tr>



<?
$i=1;
if(is_array($failedcallList))
{
foreach($failedcallList as $row)
{
$passid =$row->id;
?>

      <?

	  		if($i%2==0)
	  		 {

	  		 $str = "
	  		 		 <TR id = \"$passid\" class=\"row2 \"
	  		 		               onmousedown=\"rowPointer(this, 'down', 'row2', 'rowSel', 'rowMark')\"
	  		 		               onmouseover=\"rowPointer(this, 'over', 'row2', 'rowSel', 'rowMark')\"
	  		               onmouseout=\"rowPointer(this, 'out', 'row2', 'rowSel', 'rowMark')\">";


	  		 }
	  		else
	  		 {
	  			$str = "
	  					 <TR id = \"$passid\" class=\"row1 \"
	  					               onmousedown=\"rowPointer(this, 'down', 'row1', 'rowSel', 'rowMark')\"
	  					               onmouseover=\"rowPointer(this, 'over', 'row1', 'rowSel', 'rowMark')\"
	  		               onmouseout=\"rowPointer(this, 'out', 'row1', 'rowSel', 'rowMark')\">";
	  		 }



	  echo $str;

	  ?>

 <td align=center class="tableBorderAll" style="padding-left:0px;padding-top:2px;padding-bottom:2px;"><input name="checkActive" type="checkbox"  id="checkActive" value="1" /></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;padding-top:2px;padding-bottom:2px;"><?=$row->login?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;padding-top:2px;padding-bottom:2px;"><?=$row->called_number?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;padding-top:2px;padding-bottom:2px;"><?=$row->call_start?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;padding-top:2px;padding-bottom:2px;"><?=$row->description?></td>
</tr>

<?
$i++;
}

}

?>


 </table>

<!-- End failed call List -->

    </td>
  </tr>

  <tr>
    <td align="center" style="padding-top:5px;">

    <input type="hidden" name="call_start" id="call_start" value="<?=$call_start?>" />
	<input type="hidden" name="call_end" id="call_end" value="<?=$call_end?>" />
	<input type="hidden" name="login" id="login" value="<?=$login?>" />
    <input type="hidden" name="called_number" id="called_number" value="<?=$called_number?>" />
	<input type="hidden" name="limit" id="limit" value="<?=$limit?>" />
	<input type="hidden" name="startoffset" id="startoffset" value="<?=$startoffset?>" />

<?


      $p = new paginationClass;
      $p->Items($total);

      if($startoffset==0)
      $startoffset = 1;

      $p->limit($limit);
      $p->target("paginator.php");
      $p->currentPage($startoffset);
      $p->adjacents(3);
      $p->show();



?>


    </td>
  </tr>

</table>

</div>



    </td>
  </tr>

</table>


<?
$this->load->view('cpanel/left_nemu');
$this->load->view('cpanel/footer');
?>
